# Get crypto withdrawal approval status

## Fetch crypto withdrawal approval by ID

> Fetch crypto withdrawal approval by ID. The withdrawal ID is provided in the response of \`POST /withdrawals\`.

```json
{"openapi":"3.0.1","info":{"title":"OpenAPI definition","version":"v0"},"servers":[{"url":"https://api.finrax.com","description":"Generated server url"}],"security":[{"ApiKeyAuth":["GET_WITHDRAWALS"]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","description":"^FRX-API api-key=[^,]+,signature=[^,]+,timestamp=[\\d]+$","name":"Authorization","in":"header"}},"schemas":{"CryptoWithdrawalApprovalStatusResponse":{"required":["status"],"type":"object","properties":{"status":{"type":"string","enum":["SKIPPED","PENDING","APPROVED","REJECTED"]}}}}},"paths":{"/v1/payment/crypto-withdrawal-approvals/{withdrawalId}":{"get":{"summary":"Fetch crypto withdrawal approval by ID","description":"Fetch crypto withdrawal approval by ID. The withdrawal ID is provided in the response of `POST /withdrawals`.","operationId":"fetch-crypto-withdrawal-approval","parameters":[{"name":"withdrawalId","in":"path","description":"ID of the crypto withdrawal.","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"Returns the status of the specified crypto withdrawal approval.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CryptoWithdrawalApprovalStatusResponse"}}}}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.finrax.com/references/crypto-withdrawals/get-crypto-withdrawal-approval-status.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
